# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['nibiru_proto',
 'nibiru_proto.amino',
 'nibiru_proto.cosmos.app.runtime.v1alpha1',
 'nibiru_proto.cosmos.app.v1alpha1',
 'nibiru_proto.cosmos.auth.module.v1',
 'nibiru_proto.cosmos.auth.v1beta1',
 'nibiru_proto.cosmos.authz.module.v1',
 'nibiru_proto.cosmos.authz.v1beta1',
 'nibiru_proto.cosmos.autocli.v1',
 'nibiru_proto.cosmos.bank.module.v1',
 'nibiru_proto.cosmos.bank.v1beta1',
 'nibiru_proto.cosmos.base.abci.v1beta1',
 'nibiru_proto.cosmos.base.kv.v1beta1',
 'nibiru_proto.cosmos.base.node.v1beta1',
 'nibiru_proto.cosmos.base.query.v1beta1',
 'nibiru_proto.cosmos.base.reflection.v1beta1',
 'nibiru_proto.cosmos.base.reflection.v2alpha1',
 'nibiru_proto.cosmos.base.snapshots.v1beta1',
 'nibiru_proto.cosmos.base.store.v1beta1',
 'nibiru_proto.cosmos.base.tendermint.v1beta1',
 'nibiru_proto.cosmos.base.v1beta1',
 'nibiru_proto.cosmos.capability.module.v1',
 'nibiru_proto.cosmos.capability.v1beta1',
 'nibiru_proto.cosmos.consensus.module.v1',
 'nibiru_proto.cosmos.consensus.v1',
 'nibiru_proto.cosmos.crisis.module.v1',
 'nibiru_proto.cosmos.crisis.v1beta1',
 'nibiru_proto.cosmos.crypto.ed25519',
 'nibiru_proto.cosmos.crypto.hd.v1',
 'nibiru_proto.cosmos.crypto.keyring.v1',
 'nibiru_proto.cosmos.crypto.multisig',
 'nibiru_proto.cosmos.crypto.multisig.v1beta1',
 'nibiru_proto.cosmos.crypto.secp256k1',
 'nibiru_proto.cosmos.crypto.secp256r1',
 'nibiru_proto.cosmos.distribution.module.v1',
 'nibiru_proto.cosmos.distribution.v1beta1',
 'nibiru_proto.cosmos.evidence.module.v1',
 'nibiru_proto.cosmos.evidence.v1beta1',
 'nibiru_proto.cosmos.feegrant.module.v1',
 'nibiru_proto.cosmos.feegrant.v1beta1',
 'nibiru_proto.cosmos.genutil.module.v1',
 'nibiru_proto.cosmos.genutil.v1beta1',
 'nibiru_proto.cosmos.gov.module.v1',
 'nibiru_proto.cosmos.gov.v1',
 'nibiru_proto.cosmos.gov.v1beta1',
 'nibiru_proto.cosmos.group.module.v1',
 'nibiru_proto.cosmos.group.v1',
 'nibiru_proto.cosmos.mint.module.v1',
 'nibiru_proto.cosmos.mint.v1beta1',
 'nibiru_proto.cosmos.msg.v1',
 'nibiru_proto.cosmos.nft.module.v1',
 'nibiru_proto.cosmos.nft.v1beta1',
 'nibiru_proto.cosmos.orm.module.v1alpha1',
 'nibiru_proto.cosmos.orm.query.v1alpha1',
 'nibiru_proto.cosmos.orm.v1',
 'nibiru_proto.cosmos.orm.v1alpha1',
 'nibiru_proto.cosmos.params.module.v1',
 'nibiru_proto.cosmos.params.v1beta1',
 'nibiru_proto.cosmos.query.v1',
 'nibiru_proto.cosmos.reflection.v1',
 'nibiru_proto.cosmos.slashing.module.v1',
 'nibiru_proto.cosmos.slashing.v1beta1',
 'nibiru_proto.cosmos.staking.module.v1',
 'nibiru_proto.cosmos.staking.v1beta1',
 'nibiru_proto.cosmos.tx.config.v1',
 'nibiru_proto.cosmos.tx.signing.v1beta1',
 'nibiru_proto.cosmos.tx.v1beta1',
 'nibiru_proto.cosmos.upgrade.module.v1',
 'nibiru_proto.cosmos.upgrade.v1beta1',
 'nibiru_proto.cosmos.vesting.module.v1',
 'nibiru_proto.cosmos.vesting.v1beta1',
 'nibiru_proto.cosmos_proto',
 'nibiru_proto.gogoproto',
 'nibiru_proto.google.api',
 'nibiru_proto.nibiru',
 'nibiru_proto.nibiru.epochs',
 'nibiru_proto.nibiru.epochs.v1',
 'nibiru_proto.nibiru.genmsg',
 'nibiru_proto.nibiru.genmsg.v1',
 'nibiru_proto.nibiru.inflation',
 'nibiru_proto.nibiru.inflation.v1',
 'nibiru_proto.nibiru.oracle',
 'nibiru_proto.nibiru.oracle.v1',
 'nibiru_proto.nibiru.perp',
 'nibiru_proto.nibiru.perp.v2',
 'nibiru_proto.nibiru.spot',
 'nibiru_proto.nibiru.spot.v1',
 'nibiru_proto.nibiru.stablecoin',
 'nibiru_proto.nibiru.stablecoin.v1',
 'nibiru_proto.nibiru.sudo',
 'nibiru_proto.nibiru.sudo.v1',
 'nibiru_proto.tendermint.abci',
 'nibiru_proto.tendermint.crypto',
 'nibiru_proto.tendermint.libs.bits',
 'nibiru_proto.tendermint.p2p',
 'nibiru_proto.tendermint.types',
 'nibiru_proto.tendermint.version']

package_data = \
{'': ['*']}

install_requires = \
['asyncio>=3.4.3,<4.0.0',
 'bech32>=1.2.0,<2.0.0',
 'grpcio-tools>=1.51.1,<2.0.0',
 'grpcio>=1.51.1,<2.0.0',
 'mypy-protobuf>=3.4.0,<4.0.0',
 'protobuf>=4.21.12,<5.0.0',
 'types-protobuf>=4.21.0.2,<5.0.0.0']

setup_kwargs = {
    'name': 'nibiru-proto',
    'version': '0.21.9',
    'description': 'Nibiru Chain Python SDK',
    'long_description': 'None',
    'author': 'Nibiru Chain',
    'author_email': 'dev@nibiru.fi',
    'maintainer': 'None',
    'maintainer_email': 'None',
    'url': 'None',
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'python_requires': '>=3.8,<4.0',
}


setup(**setup_kwargs)
